package Project;

import java.awt.*;
import javax.swing.*;


public class Programma extends JPanel {
	
	/**
	 *  the main class where the JFrame is made 
	 */
	private static final long serialVersionUID = 1L;
	static int screenWidth, screenHeight;
	public static JFrame window;
	public static void main(String[] args)	{
		
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		window = new JFrame("Program");
		window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		screenWidth=screenSize.width;
		screenHeight=screenSize.height;
		
		window.setSize(screenWidth, screenHeight);	// to make the frame fullscreen 

		window.setLocation(0,0); //start in topcorner
		        
		
		Programma mainPanel = new Programma();
		window.setContentPane(mainPanel);
		
		window.setVisible(true); // application is started
		
	}
	
	
	
	private JPanel activePanel; // panel that is shown
	
	public Programma(){
		setLayout(new BoxLayout(this, BoxLayout.X_AXIS)); // panel should cover whole available space
		
		activePanel = new NamesPanel(this); // the first panel that is shown
		add(activePanel);
		validate(); 
	}
	
	public void switchPanel(JPanel toActivate){
		remove(activePanel);
		activePanel = toActivate;
		add(activePanel);	
		
		validate();
		repaint(); 
	}
	
	public void switchPanel(){	
		switchPanel(new NamesPanel(this)); //to get back to the beginning
		
	}
	
}